Page MenuHomePhabricator

Request to change autoconfirmed settings, allow autoconfirmed user to suppress redirects and allow sysop to grant and remove flood flags on zh.wikiquote
Closed, ResolvedPublic

Description

Per local consensus, similar to T185182 and T187018, it is requested to:

  • change the threshold of auto-confirmation from 4 days to 7 days and 10 edits;
  • add "⧼suppressredirect⧽" to the auto-confirmed user group;
  • enable "flood flag";
  • allow sysop to grant and remove "flood flag" from users; and
  • allow the user with "flood flag" removing his/ her own "flood flag".

Thank you.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2018, 10:19 AM
Wong128hk updated the task description. (Show Details)Mar 9 2018, 10:55 AM
Rxy claimed this task.Mar 9 2018, 5:48 PM

Change 418008 had a related patch set uploaded (by Rxy; owner: Rxy):
[operations/mediawiki-config@master] Change autoconfirmed settings and Enable flood group at zhwikiquote

https://gerrit.wikimedia.org/r/418008

Rxy triaged this task as Normal priority.EditedMar 9 2018, 6:21 PM
Rxy moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

I scheduled to deploy in Monday, March 12 13:00–14:00 UTC European Mid-day SWAT window.

Rxy added a comment.EditedMar 9 2018, 6:33 PM

@Nemo_bis Brion says it in T17842#205878 to that about file move. but this task is not so.
see Special:Listgrouprights then find "movefile".
"movefile" is held by sysops only.

What related in this task to brion?

Matiia added a subscriber: Matiia.Mar 9 2018, 9:03 PM

Done remove

Wang128cn renamed this task from Request to change autoconfirmed settings, allow autoconfirmed user to suppress redirects and allow sysop to grant and remove flood flags on zh.wikiquote to Request to allow autoconfirmed user to suppress redirects and allow sysop to grant and remove flood flags on zh.wikiquote.Mar 10 2018, 2:16 AM
Wang128cn closed this task as Declined.
Wang128cn changed the task status from Declined to Invalid.
Wang128cn removed a subscriber: gerritbot.

Withdrawn

Wong128hk updated the task description. (Show Details)Mar 10 2018, 2:23 AM
WhitePhosphorus renamed this task from Request to allow autoconfirmed user to suppress redirects and allow sysop to grant and remove flood flags on zh.wikiquote to Request to change autoconfirmed settings, allow autoconfirmed user to suppress redirects and allow sysop to grant and remove flood flags on zh.wikiquote.Mar 10 2018, 2:24 AM
WhitePhosphorus reopened this task as Open.
WhitePhosphorus updated the task description. (Show Details)
WhitePhosphorus added a subscriber: gerritbot.
Wang128cn closed this task as Declined.Mar 10 2018, 4:27 AM
Wang128cn updated the task description. (Show Details)
Wong128hk reopened this task as Open.Mar 10 2018, 4:30 AM
Wong128hk updated the task description. (Show Details)

Wang128cn is the sockpuppet of User:Assoc who has been globally banned. Could someone please stop him/ her from editing this ticket again? sigh...

Please stop this dramatic act.

Rxy added a comment.Mar 10 2018, 5:30 PM

I changed my schedule.

New schedule is Thursday, March 15, 13:00–14:00 UTC European Mid-day SWAT window.

Change 418008 merged by jenkins-bot:
[operations/mediawiki-config@master] Change autoconfirmed settings and Enable flood group at zhwikiquote

https://gerrit.wikimedia.org/r/418008

Mentioned in SAL (#wikimedia-operations) [2018-03-15T13:14:14Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:418008|Change autoconfirmed settings and Enable flood group at zhwikiquote (T189289)]] (duration: 01m 15s)

Urbanecm closed this task as Resolved.Mar 15 2018, 1:21 PM

Mentioned in SAL (#wikimedia-operations) [2018-03-15T13:48:33Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:418008|Change autoconfirmed settings and Enable flood group at zhwikiquote (T189289)]] (duration: 01m 14s)